################################################################################
# You may want to customize these values
################################################################################

# These are the defaults discovered by configure when Amanda was installed.
# They can be overridden here, or by by 'mt_binary' and 'mtx_binary', 
# respectively, in the changerfile (currently only for chg-zd-mtx.sh and
# chg-manual.sh).

MT=/bin/mt
MTX=/usr/sbin/mtx

# This is the flag used to specify a device filename to 'mt', usually '-f'
MTF=-f

################################################################################
# No user-level customization should be required beyond this point.
################################################################################

####
# Set up paths, including PATH for finding amanda executables

PATH="$PATH:/usr/sbin:/usr/lib64/amanda"
prefix="/usr"
exec_prefix="/usr"
sbindir="/usr/sbin"
libexecdir="/usr/lib64/amanda"

####
# Gettext

#+
# Function to:
#    Simplify gettext usage by allowing printf format
#    strings for translators, use _() identifier for
#    xgettext extraction similar to "C" usage and
#    collapsing "printf `gettext fmt` ...", which is
#    used everywhere, into one function.
#-
_() {
	fmt=`gettext -d amanda "$1"`
	shift
	printf "$fmt" $*
}

####
# Eponymous functions to access various amanda apps

if test "no" = "yes"; then
    amgetconf() {
        "${sbindir}/amgetconf-2.5.2p1" "${@}"
    }
    ammt() {
        "${sbindir}/ammt-2.5.2p1" "${@}"
    }
    amdd() {
        "${sbindir}/amdd-2.5.2p1" "${@}"
    }
else
    amgetconf() {
        "${sbindir}/amgetconf" "${@}"
    }
    amdd() {
        "${sbindir}/amdd" "${@}"
    }
    amdd() {
        "${sbindir}/amdd" "${@}"
    }
fi
